function basis = basisVects3D(params)
%This Function Generates the Basis Vectors 

%dimension = number of oscillators
dim = params.ham.dim; 

% numbasis = number of basis functions in each mode
numBasis = params.ham.numBasis; 

%initialize the array
basis = zeros(numBasis^dim,dim);

%generate all possible combinations for the basis
for n = 1:size(basis,1)
basis(n,:) = tRow(dim,numBasis-1,n)';
end
    
%if we are not using the same number of excitations for all the modes delete
%delete the combinations that need to be excluded     
if params.ham.nonuniformbasis
   if length(params.ham.excitations) < dim;
   disp('Error: The number of non-uniform oscillators is smaller than the Hamiltonian dimension');
   return
   end
    
    for n=1:dim
    basis(all(basis(:,n)>=params.ham.excitations(n),2),:) = [];
   end
end
