function TR = tRow(I,p,r)
% function TR = tRow(I,p,r)
%
% Returns a single row of the T matrix.
%
% Input:
%     I: Number of Columns
%     p: Maximum from the iteration vector (i.e., [0 1 2 ... p])
%     r: Row that will be returned
%
% Output:
%     TR: Row, r, from the T matrix
%
% Example:
%     TR = tRow(3,5,5);
%

    TR = zeros(1,I);
    R = (p+1)^I;
    
    if(r < 1 || R < r)
        error(cat(2,'Value of r is is not valid. (1 <= r <= ',num2str(R),')'));
    end
    
    curCol = 1;
    for curI=I:-1:1
        TR(curCol) = mod(floor((r-1)/(p+1)^(curI-1)),(p+1));
        curCol = curCol + 1;
    end
    
    