
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% INITIALIZE THE HAMILTONIAN PARAMETERS  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Modes to use for diagonalization (Defined in the "forces" arrays)
params.ham.mode = [64 65];

%Number of basis functions for each of the modes (if params.ham.nonuniformbasis=true this is ignored)
params.ham.numBasis = 10; %10 basis for each oscillator

%In case we want to use a different number of basis functions for each of the
%oscillators
params.ham.nonuniformbasis = false;
params.ham.excitations = [10 10];

%The eigenvalues/eigenvectors are obtained iteratively. This sets the number of
%eigenvectors to compute. Note that the memory requirements are O(n^2)
%with respect to the number of eigenvectors
params.ham.numvectIterate = 6;

%Load the force matrix 
%This is an example, once you load your own forces you should 
%comment this line out
load Sample_Forces.mat

%add the /functions directory to the path
addpath functions

