
%All Parameters are set in "initialize_parameters.m"
%Please set your variables in this script
initialize_parameters;

%Check input for errors and fix force matrices
forces = errorCheck(params,forces);

%Read the parameters and generate force constants
[params] = generateHamiltonianParams(params, forces); 

%Generate the basis vectors
[data.basis] = generateBasis(params);

%Generate the position and momentum matrices
[data.qmat data.pmat] = generateOperatorMatrices(data);

%Generate and Diagonalize the Hamiltonian
[output] = Hamiltonian(params,data,forces);

%save the output for future analysis
save output.mat output

%%Display Eigenvalues and Eigenvectors (max components) in a readable form
%%Warning: If the eigenvectors are highly mixed this will not work
displayOutput(output,params)
